#ifndef _COM_H_
#define _COM_H_
#include <stdio.h>

#define PREFIX "$PBR"

/*
 * NOTE: all these functions DIE on error
 */


/* Send a command to the device. If the command
 * does not start with '$', the above PREFIX is prepended.
 * ',*ZZ\r\n' gets appended automatically.
 */
void _send(FILE *port, const char* cmd);

/* Receive the answer, returns a pointer to the position
 * *after* the first ','. The used buffer is managed
 * inside the recv() function */
const char* _recv(FILE *port);

/* setup the (serial) port */
FILE* setup_port(const char*);

/* send some command, wait for and read the answer */
const char* talk(FILE *port, const char* cmd);

#endif
