#ifndef _MACROS_H
#define _MACROS_H

#include <stdio.h>
#include <errno.h>
#include <stdlib.h>

extern char *program_invocation_short_name;
extern int debug;

#define ME program_invocation_short_name

#define DEBUG  if(debug)

#define DPRINTF(fmt, args...) do { fprintf(stderr, "" fmt, ##args); } while(0)

#define FAILED(a) (a < 0)

#define SYSDIE(fmt, args...)  { fprintf(stderr, "%s: " fmt ": %m\n", ME, ##args); exit(1); }
#define DIE(fmt, args...)     { fprintf(stderr, "%s: " fmt "\n", ME, ##args); exit(1); }

#define SYSWARN(fmt, args...) { fprintf(stderr, "%s: " fmt ": %m\n", ME, ##args); }
#define WARN(fmt, args...)    { fprintf(stderr, "%s: " fmt "\n", ME, ##args); }

#endif
