#ifndef _NMEA_H_
#define _NMEA_H_
/* this module contains some NMEA functions, currently
 * it is quite empty, just a function for generating a checksum
 * and another one for verification */

/* calculate a checksum, according to the NMEA 
 * specs I found at http://www.kowoma.de/gps/zusatzerklaerungen/NMEA.htm
 *
 * INPUT format as regexp: /^.*$?(.*?)\*?$/
 * everthing between the first '$' and the next following '*' (or
 * end of string) is taken into the checksum)
 */
unsigned int nmea_checksum(const char*);

/* verify a the checksum of a string - the checksum
 * has to be the very last part matching ,ZZ
 * Returns true/false depending on the verification result */
int nmea_verify(const char*);

#endif
